Skip to main content
POST
Upload real estate image assets

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

project_id
string<uuid>
required

Query Parameters

created_at_after
string<date>

Created Date Range

created_at_before
string<date>

Created Date Range

exclude_tags
string
name
string
name_tag
string
ordering
string

Which field to use when ordering the results.

other_projects
boolean

If true, only include assets from other projects.

tags
string
updated_at_after
string<date>

Updated Date Range

updated_at_before
string<date>

Updated Date Range

Body

Import real estate project image assets without creating shots.

images
string<uri>[]
Maximum array length: 60
image_urls
string<uri>[]
Maximum array length: 20
Maximum string length: 4096

Response

id
string<uuid>
required
read-only
name
string
required
read-only

Human-readable asset name.

created_at
string<date-time>
required
read-only

Datetime when the record was created.

file
string<uri> | null
required
read-only

Image file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, the image hasn't been completely uploaded.

thumbnail
string<uri> | null
required
read-only

Image thumbnail

external_url
string<uri> | null
required
read-only

External URL if image is hosted elsewhere (not on our S3).

width
integer
required
read-only

Image width in pixels.

height
integer
required
read-only

Image height in pixels.

file_size
integer
required
read-only

File size in bytes. Null for text-based images.

tags
string[]
required
read-only
name_tag
string
required
read-only

Tag identifier for the asset that's based on asset's name. Used on frontend to reference the asset '@Parrot-1')

Pattern: ^[-a-zA-Z0-9_]+$